Index: .hgignore
===================================================================
--- .hgignore	(revision 14)
+++ .hgignore	(revision 0)
@@ -1,3 +1,2 @@
 cache
 inc/config.php
-\.htaccess
Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 12)
+++ .hgsubstate	(revision 1)
@@ -1,1 +1,1 @@
-cbb497b34c47392255c5a1d4ce49fbed23c9a33c inc/libs/clearbricks
+2b472da93d49f9d2394e32a0010728fd3ee47fd8 inc/libs/clearbricks
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 3)
+++ CHANGELOG	(revision 0)
@@ -1,8 +1,2 @@
-Dotclear 2.2.3 - 2011-04-01
-===========================================================
-* Security fix in media manager. Thx to Raphaël
-* Bugfix : 2.2.2 was preventing manual thumbnail regeneration.
-* Database handling bugfixes
-
 Dotclear 2.2.2 - 2011-01-17
 ===========================================================
Index: README
===================================================================
--- README	(revision 3)
+++ README	(revision 0)
@@ -6,5 +6,5 @@
 
  * A web server (Apache, Cheerokee, lightHttpd, etc.)
- * PHP 5.2 with the following modules:
+ * PHP 5 with the following modules:
    * mbstring
    * iconv
Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 42)
+++ admin/auth.php	(revision 37)
@@ -323,9 +323,9 @@
 	echo
 	'<fieldset><legend>'.__('Request a new password').'</legend>'.
-	'<p><label for="user_id">'.__('Username:').' '.
-	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
-	
-	'<p><label for="user_email">'.__('Email:').' '.
-	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email),'',2).'</label></p>'.
+	'<p><label>'.__('Username:').' '.
+	form::field(array('user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
+	
+	'<p><label>'.__('Email:').' '.
+	form::field(array('user_email'),20,255,html::escapeHTML($user_email),'',2).'</label></p>'.
 	
 	'<p><input type="submit" value="'.__('recover').'" tabindex="3" />'.
@@ -339,9 +339,9 @@
 	echo
 	'<fieldset><legend>'.__('Change your password').'</legend>'.
-	'<p><label for="new_pwd">'.__('New password:').' '.
-	form::password(array('new_pwd','new_pwd'),20,255,'','',1).'</label></p>'.
-	
-	'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
-	form::password(array('new_pwd_c','new_pwd_c'),20,255,'','',2).'</label></p>'.
+	'<p><label>'.__('New password:').' '.
+	form::password(array('new_pwd'),20,255,'','',1).'</label></p>'.
+	
+	'<p><label>'.__('Confirm password:').' '.
+	form::password(array('new_pwd_c'),20,255,'','',2).'</label></p>'.
 	'</fielset>'.
 	
@@ -363,15 +363,15 @@
 		}
 		echo
-		'<p><label for="user_id">'.__('Username:').' '.
-		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
-		
-		'<p><label for="user_pwd">'.__('Password:').' '.
-		form::password(array('user_pwd','user_pwd'),20,255,'','',2).'</label></p>'.
-		
-		'<p><label for="user_remember" class="classic">'.
-		form::checkbox(array('user_remember','user_remember'),1,'','',3).' '.
+		'<p><label>'.__('Username:').' '.
+		form::field(array('user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
+		
+		'<p><label>'.__('Password:').' '.
+		form::password(array('user_pwd'),20,255,'','',2).'</label></p>'.
+		
+		'<p><label class="classic">'.
+		form::checkbox(array('user_remember'),1,'','',3).' '.
 		__('Remember my ID on this computer').'</label></p>'.
 		
-		'<p><input type="submit" value="'.__('log in').'" tabindex="4" /></p>';
+		'<p><input type="submit" value="'.__('login').'" tabindex="4" /></p>';
 		
 		if (!empty($_REQUEST['blog'])) {
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 38)
+++ admin/blog.php	(revision 0)
@@ -76,13 +76,13 @@
 	'<fieldset><legend>'.__('Blog details').'</legend>'.
 	$core->formNonce().
-	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
+	'<p><label class="required" title="'.__('Required field').'">'.__('Blog ID:').' '.
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
 	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
 	__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>'.
 	
-	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog name:').' '.
+	'<p><label class="required" title="'.__('Required field').'">'.__('Blog name:').' '.
 	form::field('blog_name',30,255,html::escapeHTML($blog_name)).'</label></p>'.
 	
-	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog URL:').' '.
+	'<p><label class="required" title="'.__('Required field').'">'.__('Blog URL:').' '.
 	form::field('blog_url',30,255,html::escapeHTML($blog_url)).'</label></p>'.
 	
@@ -93,5 +93,5 @@
 	'<p><input type="submit" accesskey="s" value="'.__('save').'" /></p>'.
 	'</form>';
-
+	
 	dcPage::close();
 }
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 38)
+++ admin/blog_del.php	(revision 0)
@@ -61,7 +61,7 @@
 	'<form action="blog_del.php" method="post">'.
 	'<div>'.$core->formNonce().'</div>'.
-	'<p><label for="pwd">'.__('Your password:').' '.
+	'<p><label>'.__('Your password:').' '.
 	form::password('pwd',20,255).'</label></p>'.
-	'<p><input type="submit" class="delete" name="del" value="'.__('Delete this blog').'" />'.
+	'<p><input type="submit" name="del" value="'.__('Delete this blog').'" />'.
 	form::hidden('blog_id',$blog_id).'</p>'.
 	'</form>';
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 38)
+++ admin/blog_pref.php	(revision 0)
@@ -227,5 +227,5 @@
 		__('Warning: except for special configurations, it is generally advised to have a trailing "/" in your blog URL in PATH_INFO mode.'))."\n".
 	dcPage::jsVar('dotclear.msg.warning_query_string',
-		__('Warning: except for special configurations, it is generally advised to have a trailing "?" in your blog URL in QUERY_STRING mode.'))."\n".
+		__('Warning: except for special configurations, it is generally advised to have a trailing "?" in your blog URL in when QUERY_STRING mode.'))."\n".
 	"//]]>".
 	"</script>".
@@ -266,5 +266,5 @@
 	{
 		echo
-		'<p><label for="blog_id" class="required">'.__('Blog ID:').
+		'<p><label class="required" title="'.__('Required field').'">'.__('Blog ID:').
 		form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
 		'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
@@ -273,5 +273,5 @@
 	
 	echo
-	'<p><label for="blog_name" class="required">'.__('Blog name:').
+	'<p><label class="required" title="'.__('Required field').'">'.__('Blog name:').
 	form::field('blog_name',30,255,html::escapeHTML($blog_name)).'</label></p>';
 	
@@ -279,11 +279,11 @@
 	{
 		echo
-		'<p><label for="blog_url" class="required">'.__('Blog URL:').
+		'<p><label class="required" title="'.__('Required field').'">'.__('Blog URL:').
 		form::field('blog_url',30,255,html::escapeHTML($blog_url)).'</label></p>'.
 		
-		'<p><label for="url_scan">'.__('URL scan method:').
+		'<p><label>'.__('URL scan method:').
 		form::combo('url_scan',$url_scan_combo,$blog_settings->system->url_scan).'</label></p>'.
 		
-		'<p><label for="blog_status">'.__('Blog status:').
+		'<p><label>'.__('Blog status:').
 		form::combo('blog_status',$status_combo,$blog_status).'</label></p>';
 	}
@@ -299,13 +299,13 @@
 	'<div class="two-cols">'.
 	'<div class="col">'.
-	'<p><label for="editor">'.__('Blog editor name:').
+	'<p><label>'.__('Blog editor name:').
 	form::field('editor',30,255,html::escapeHTML($blog_settings->system->editor)).
 	'</label></p>'.
 	
-	'<p><label for="lang">'.__('Default language:').
+	'<p><label>'.__('Default language:').
 	form::combo('lang',$lang_combo,$blog_settings->system->lang,'l10n').
 	'</label></p>'.
 	
-	'<p><label for="blog_timezone">'.__('Blog timezone:').
+	'<p><label>'.__('Blog timezone:').
 	form::combo('blog_timezone',dt::getZones(true,true),html::escapeHTML($blog_settings->system->blog_timezone)).
 	'</label></p>'.
@@ -313,13 +313,13 @@
 	
 	'<div class="col">'.
-	'<p><label for="copyright_notice">'.__('Copyright notice:').
+	'<p><label>'.__('Copyright notice:').
 	form::field('copyright_notice',30,255,html::escapeHTML($blog_settings->system->copyright_notice)).
 	'</label></p>'.
 	
-	'<p><label for="post_url_format">'.__('New post URL format:').
+	'<p><label>'.__('New post URL format:').
 	form::combo('post_url_format',$post_url_combo,html::escapeHTML($blog_settings->system->post_url_format)).
 	'</label></p>'.
 	
-	'<p><label for="enable_xmlrpc" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('enable_xmlrpc','1',$blog_settings->system->enable_xmlrpc).
 	__('Enable XML/RPC interface').'</label>'.
@@ -334,18 +334,18 @@
 	'<div class="two-cols">'.
 	'<div class="col">'.
-	'<p><label for="allow_comments" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('allow_comments','1',$blog_settings->system->allow_comments).
 	__('Accept comments').'</label></p>'.
 	
-	'<p><label for="comments_pub" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('comments_pub','1',!$blog_settings->system->comments_pub).
 	__('Moderate comments').'</label></p>'.
 	
-	'<p><label for="comments_ttl" class="classic">'.sprintf(__('Leave comments open for %s days'),
+	'<p><label class="classic">'.sprintf(__('Leave comments open for %s days'),
 	form::field('comments_ttl',2,3,$blog_settings->system->comments_ttl)).
 	'</label></p>'.
 	'<p class="form-note">'.__('Leave blank to disable this feature.').'</p>'.
 	
-	'<p><label for="wiki_comments" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('wiki_comments','1',$blog_settings->system->wiki_comments).
 	__('Wiki syntax for comments').'</label></p>'.
@@ -353,17 +353,17 @@
 	
 	'<div class="col">'.
-	'<p><label for="allow_trackbacks" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('allow_trackbacks','1',$blog_settings->system->allow_trackbacks).
 	__('Accept trackbacks').'</label></p>'.
 	
-	'<p><label for="trackbacks_pub" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('trackbacks_pub','1',!$blog_settings->system->trackbacks_pub).
 	__('Moderate trackbacks').'</label></p>'.
 	
-	'<p><label for="trackbacks_ttl" class="classic">'.sprintf(__('Leave trackbacks open for %s days'),
+	'<p><label class="classic">'.sprintf(__('Leave trackbacks open for %s days'),
 	form::field('trackbacks_ttl',2,3,$blog_settings->system->trackbacks_ttl)).'</label></p>'.
 	'<p class="form-note">'.__('Leave blank to disable this feature.').'</p>'.
 	
-	'<p><label for="comments_nofollow" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('comments_nofollow','1',$blog_settings->system->comments_nofollow).
 	__('Add "nofollow" relation on comments and trackbacks links').'</label></p>'.
@@ -377,13 +377,13 @@
 	'<div class="two-cols">'.
 	'<div class="col">'.
-	'<p><label for="date_format">'.__('Date format:').
+	'<p><label>'.__('Date format:').
 	form::field('date_format',30,255,html::escapeHTML($blog_settings->system->date_format)).
 	'</label></p>'.
 	
-	'<p><label for="time_format">'.__('Time format:').
+	'<p><label>'.__('Time format:').
 	form::field('time_format',30,255,html::escapeHTML($blog_settings->system->time_format)).
 	'</label></p>'.
 	
-	'<p><label for="use_smilies" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('use_smilies','1',$blog_settings->system->use_smilies).
 	__('Display smilies on entries and comments').'</label></p>'.
@@ -391,17 +391,17 @@
 	
 	'<div class="col">'.
-	'<p><label for="nb_post_per_page" class="classic">'.sprintf(__('Display %s entries per page'),
+	'<p><label class="classic">'.sprintf(__('Display %s entries per page'),
 	form::field('nb_post_per_page',2,3,$blog_settings->system->nb_post_per_page)).
 	'</label></p>'.
 	
-	'<p><label for="nb_post_per_feed" class="classic">'.sprintf(__('Display %s entries per feed'),
+	'<p><label class="classic">'.sprintf(__('Display %s entries per feed'),
 	form::field('nb_post_per_feed',2,3,$blog_settings->system->nb_post_per_feed)).
 	'</label></p>'.
 	
-	'<p><label for="nb_comment_per_feed" class="classic">'.sprintf(__('Display %s comments per feed'),
+	'<p><label class="classic">'.sprintf(__('Display %s comments per feed'),
 	form::field('nb_comment_per_feed',2,3,$blog_settings->system->nb_comment_per_feed)).
 	'</label></p>'.
 	
-	'<p><label for="short_feed_items" class="classic">'.
+	'<p><label class="classic">'.
 	form::checkbox('short_feed_items','1',$blog_settings->system->short_feed_items).
 	__('Truncate feeds').'</label></p>'.
@@ -416,11 +416,11 @@
 	'<div class="col">'.
 	'<h4>'.__('Generated image sizes (in pixels)').'</h4>'.
-	'<p class="field"><label for="media_img_t_size">'.__('Thumbnails:').' '.
+	'<p class="field"><label>'.__('Thumbnails:').' '.
 	form::field('media_img_t_size',3,3,$blog_settings->system->media_img_t_size).'</label></p>'.
 	
-	'<p class="field"><label for="media_img_s_size">'.__('Small:').' '.
+	'<p class="field"><label>'.__('Small:').' '.
 	form::field('media_img_s_size',3,3,$blog_settings->system->media_img_s_size).'</label></p>'.
 	
-	'<p class="field"><label for="media_img_m_size">'.__('Medium:').' '.
+	'<p class="field"><label>'.__('Medium:').' '.
 	form::field('media_img_m_size',3,3,$blog_settings->system->media_img_m_size).'</label></p>'.
 	'</div>'.
@@ -439,5 +439,5 @@
 	foreach ($robots_policy_options as $k => $v)
 	{
-		echo '<p><label for="robots_policy" class="classic">'.
+		echo '<p><label class="classic">'.
 		form::radio(array('robots_policy'),$k,$blog_settings->system->robots_policy == $k).' '.$v.'</label></p>';
 	}
@@ -459,5 +459,5 @@
 		echo
 		'<form action="blog_del.php" method="post">'.
-		'<p><input type="submit" class="delete" value="'.__('Delete this blog').'" />'.
+		'<p><input type="submit" value="'.__('Delete this blog').'" />'.
 		form::hidden(array('blog_id'),$blog_id).
 		$core->formNonce().'</p>'.
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 38)
+++ admin/blog_theme.php	(revision 0)
@@ -268,5 +268,5 @@
 	
 	if ($can_install) {
-		echo '<p class="col right"><input type="submit" class="delete" name="remove" value="'.__('delete selected theme').'" /></p>';
+		echo '<p class="col right"><input type="submit" name="remove" value="'.__('delete selected theme').'" /></p>';
 	}
 	
@@ -280,5 +280,5 @@
 	{
 		echo
-		'<div class="multi-part clear" id="add-theme" title="'.__('Install or upgrade a theme').'">';
+		'<div class="multi-part" id="add-theme" title="'.__('Install or upgrade a theme').'">';
 		
 		if ($is_writable)
@@ -291,8 +291,8 @@
 			'<fieldset>'.
 			'<legend>'.__('Upload a zip file').'</legend>'.
-			'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Theme zip file:').' '.
-			'<input type="file" name="pkg_file" id="pkg_file" /></label></p>'.
-			'<p class="field"><label for="your_pwd" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
-			form::password(array('your_pwd','your_pwd'),20,255).'</label></p>'.
+			'<p class="field"><label class=" classic required" title="'.__('Required field').'">'.__('Theme zip file:').' '.
+			'<input type="file" name="pkg_file" /></label></p>'.
+			'<p class="field"><label class="classic required" title="'.__('Required field').'">'.__('Your password:').' '.
+			form::password(array('your_pwd'),20,255).'</label></p>'.
 			'<input type="submit" name="upload_pkg" value="'.__('Upload theme').'" />'.
 			$core->formNonce().
@@ -305,8 +305,8 @@
 			'<fieldset>'.
 			'<legend>'.__('Download a zip file').'</legend>'.
-			'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Theme zip file URL:').' '.
-			form::field(array('pkg_url','pkg_url'),40,255).'</label></p>'.
-			'<p class="field"><label id="your_pwd" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
-			form::password(array('your_pwd','your_pwd'),20,255).'</label></p>'.
+			'<p class="field"><label class=" classic required" title="'.__('Required field').'">'.__('Theme zip file URL:').' '.
+			form::field(array('pkg_url'),40,255).'</label></p>'.
+			'<p class="field"><label class="classic required" title="'.__('Required field').'">'.__('Your password:').' '.
+			form::password(array('your_pwd'),20,255).'</label></p>'.
 			'<input type="submit" name="fetch_pkg" value="'.__('Download theme').'" />'.
 			$core->formNonce().
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 38)
+++ admin/blogs.php	(revision 0)
@@ -84,5 +84,5 @@
 {
 	if ($core->auth->isSuperAdmin()) {
-		echo '<p class="top-add"><a class="button add" href="blog.php"><img src="images/add.png" alt="" />'.__('Create a new blog').'</a></strong></p>';
+		echo '<p><strong><a href="blog.php">'.__('Create a new blog').'</a></strong></p>';
 	}
 	
@@ -96,8 +96,8 @@
 	
 	'<div class="col">'.
-	'<p><label for="sortby">'.__('Order by:').' '.
+	'<p><label>'.__('Order by:').' '.
 	form::combo('sortby',$sortby_combo,html::escapeHTML($sortby)).
 	'</label> '.
-	'<label for="order">'.__('Sort:').' '.
+	'<label>'.__('Sort:').' '.
 	form::combo('order',$order_combo,html::escapeHTML($order)).
 	'</label></p>'.
@@ -105,10 +105,10 @@
 	
 	'<div class="col">'.
-	'<p><label for="q">'.__('Search:').' '.
+	'<p><label>'.__('Search:').' '.
 	form::field('q',20,255,html::escapeHTML($q)).
 	'</label></p>'.
-	'<p><label for="nb" class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
+	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
 	__('Blogs per page').'</label> '.
-	'<input type="submit" value="'.__('Apply filters').'" /></p>'.
+	'<input type="submit" value="'.__('filter').'" /></p>'.
 	'</div>'.
 	
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 38)
+++ admin/categories.php	(revision 0)
@@ -124,7 +124,7 @@
 '<form action="category.php" method="post">'.
 '<fieldset><legend>'.__('Add a new category').'</legend>'.
-'<p><label for="cat_title"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').' '.
+'<p><label>'.__('Title:').' '.
 form::field('cat_title',30,255).'</label></p>'.
-'<p><label for="new_cat_parent">'.__('Parent:').' '.
+'<p><label>'.__('Parent:').' '.
 '<select id="new_cat_parent" name="new_cat_parent">'.
 '<option value="0">'.__('Top level').'</option>';
@@ -163,5 +163,5 @@
 		'<form action="categories.php" method="post" id="delete-category">'.
 		'<fieldset><legend>'.__('Remove a category').'</legend>'.
-		'<p><label for="del_cat">'.__('Choose a category to remove:').' '.
+		'<p><label>'.__('Choose a category to remove:').' '.
 		form::combo('del_cat',$deletable).'</label></p> '.
 		'<p><input type="submit" value="'.__('ok').'" /></p>'.
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 38)
+++ admin/category.php	(revision 0)
@@ -184,5 +184,5 @@
 '<form action="category.php" method="post" id="category-form">'.
 '<fieldset><legend>'.__('Category information').'</legend>'.
-'<p><label class="required" for="cat_title"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').' '.
+'<p><label class="required" title="'.__('Required field').'">'.__('Title:').' '.
 form::field('cat_title',40,255,html::escapeHTML($cat_title),'',2).
 '</label></p>';
@@ -191,5 +191,5 @@
 	$rs = $core->blog->getCategories(array('post_type'=>'post'));
 	echo
-	'<p><label for="new_cat_parent">'.__('Parent:').' '.
+	'<p><label>'.__('Parent:').' '.
 	'<select id="new_cat_parent" name="new_cat_parent" tabindex="3">'.
 	'<option value="0">'.__('Top level').'</option>';
@@ -204,5 +204,5 @@
 echo
 '<div class="lockable">'.
-'<p><label for="cat_url">'.__('URL:').' '.form::field('cat_url',40,255,html::escapeHTML($cat_url),'',4).
+'<p><label>'.__('URL:').' '.form::field('cat_url',40,255,html::escapeHTML($cat_url),'',4).
 '</label></p>'.
 '<p class="form-note warn" id="note-cat-url">'.
@@ -230,5 +230,5 @@
 	'<form action="category.php" method="post">'.
 	'<fieldset><legend>'.__('Category parent').'</legend>'.
-	'<p><label for="cat_parent" class="classic">'.__('Parent:').' '.
+	'<p><label class="classic">'.__('Parent:').' '.
 	form::combo('cat_parent',$allowed_parents,$cat_parent).'</label></p>'.
 	'<p><input type="submit" accesskey="s" value="'.__('Save').'" tabindex="5" />'.
@@ -244,5 +244,5 @@
 		'<fieldset><legend>'.__('Category sibling').'</legend>'.
 		'<p><label class="classic" for="cat_sibling">'.__('Move current category').'</label> '.
-		form::combo('cat_move',array(__('before')=>'before',__('after')=>'after'),'','','',false,'title="'.__('position: ').'"').' '.
+		form::combo('cat_move',array(__('before')=>'before',__('after')=>'after')).' '.
 		form::combo('cat_sibling',$siblings).'</p>'.
 		'<p><input type="submit" accesskey="s" value="'.__('Save').'" tabindex="5" />'.
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 3)
+++ admin/comment.php	(revision 0)
@@ -226,5 +226,5 @@
 	
 	if ($can_delete) {
-		echo '<input type="submit" class="delete" name="delete" value="'.__('delete').'" />';
+		echo '<input type="submit" name="delete" value="'.__('delete').'" />';
 	}
 	echo
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 3)
+++ admin/comments.php	(revision 0)
@@ -185,5 +185,5 @@
 	form::field('ip',20,39,html::escapeHTML($ip)).
 	'</label></p>'.
-	'<p><input type="submit" value="'.__('Apply filters').'" /></p>'.
+	'<p><input type="submit" value="'.__('filter').'" /></p>'.
 	'</div>'.
 	
